모든 권고 / BE-2022-0013

BE-2022-0013

BE-2022-0013: MicroStation 및 MicroStation 기반 애플리케이션의 IFC 파일 구문 분석 범위를 벗어난 읽기 취약성

벤틀리 ID : BE-2022-0013
CVE ID : CVE-2022-35904
심각도 : 3.3
CVSS v3.1 : AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N
발행일 : 2022-07-13
개정일 : 2022-07-13

요약
MicroStation 및 MicroStation 기반 애플리케이션은 악의적으로 제작된 IFC 파일을 열 때 범위를 벗어난 읽기 취약성의 영향을 받을 수 있습니다. 이러한 취약성을 악용하면 정보가 노출될 수 있습니다.

세부 정보
영향을 받는 MicroStation 또는 MicroStation 기반 애플리케이션 버전을 사용하여 악의적으로 제작된 데이터가 있는 IFC 파일을 열면 범위를 벗어난 읽기가 강제로 수행될 수 있습니다. 공격자는 IFC 파일 구문 분석 내에서 이러한 취약성을 악용하여 현재 프로세스의 컨텍스트에서 정보를 읽을 수 있습니다.

영향을 받는 버전

애플리케이션 영향을 받는 버전 완화된 버전
MicroStation 10.16.* 이하 버전 10.17.0.* 이상
Bentley View 10.16.* 이하 버전 10.17.0.* 이상

 

권장 조치
벤틀리는 최신 버전의 MicroStation 및 MicroStation 기반 애플리케이션으로 업데이트할 것을 권장합니다. 신뢰할 수 있는 출처의 IFC 파일만 여는 것도 일반적인 모범 사례로 권장됩니다.

감사의 말
이러한 취약성을 발견한 xina1i에게 감사드립니다.

개정 이력

일자 설명
2022-07-13 1차 권고 버전
2022-07-18 CVE 번호 추가

인프라 납품 및 성능 우수성 축하

2024 Year in Infrastructure & Going Digital Awards

Nominate a project for the most prestigious awards in infrastructure! Extended deadline to enter is April 29th.